Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040179
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-02-11 17:452019-03-28 14:56
ReporteradrianromeroView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision976e03344470
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040179: Validations defined at column level must display an appropriate message to the user

DescriptionIf a column is defined with validation properties, for example a column type Integer and minimum value 15. If the user tries to save an invalid value in that field the following message is displayed without even marking the field value that does not comply with the validation defined:

Error
Saving failed. One or more fields contain illegal values, check the errors for each field.

See screenshot attached.

Note: If the field that does not comply with the validation has the focus when the user press save, the field is marked in red, but if it does not have the focus it is not marked in red.
Steps To Reproduce0. Login as F&B Admin
1. Open Business Partner window and select "Alimentos y Supermercados, S.A"
2. Edit Customer tab More information to set Maturity Date fields to some illegal value <1 or >31
  ERROR: even it is not properly allowed to save, the error displayed in not helpful
TagsNo tags attached.
Attached Filespng file icon Captura de pantalla de 2019-02-11 17-40-34.png [^] (130,614 bytes) 2019-02-11 17:49

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0039437 newdbaz [PR18Q4] Error message after a wrong entered value does not disappear when values are fixed 

-  Notes
(0110032)
hgbot (developer)
2019-02-22 12:44

Repository: erp/devel/pi
Changeset: 976e0334447084cc7847e791b4c2624c9ab80491
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Feb 22 12:43:45 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/976e0334447084cc7847e791b4c2624c9ab80491 [^]

fixed issue 40179: column validations don't show proper message

  When a column validation is not satisfied a usless message is displayed.

  The message was correctly generated in the backend but not displayed in fronted.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0110313)
caristu (developer)
2019-03-08 12:08

Code reviewed + tested OK.
(0110834)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-11 17:45 adrianromero New Issue
2019-02-11 17:45 adrianromero Assigned To => platform
2019-02-11 17:45 adrianromero Modules => Core
2019-02-11 17:45 adrianromero Triggers an Emergency Pack => No
2019-02-11 17:49 adrianromero File Added: Captura de pantalla de 2019-02-11 17-40-34.png
2019-02-22 12:31 alostale Review Assigned To => caristu
2019-02-22 12:31 alostale Assigned To platform => alostale
2019-02-22 12:31 alostale Severity major => minor
2019-02-22 12:42 alostale Steps to Reproduce Updated View Revisions
2019-02-22 12:44 alostale Relationship added related to 0039437
2019-02-22 12:44 hgbot Checkin
2019-02-22 12:44 hgbot Note Added: 0110032
2019-02-22 12:44 hgbot Status new => resolved
2019-02-22 12:44 hgbot Resolution open => fixed
2019-02-22 12:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/976e0334447084cc7847e791b4c2624c9ab80491 [^]
2019-03-08 12:08 caristu Note Added: 0110313
2019-03-08 12:08 caristu Status resolved => closed
2019-03-08 12:08 caristu Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110834


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker